:mod:`webhelpers.markdown` -- Markdown
======================================

:mod:`webhelpers.markdown`
--------------------------

.. currentmodule:: webhelpers.markdown

.. autofunction:: markdown
.. autofunction:: markdownFromFile
.. autoclass:: Markdown
    :members:
.. autofunction:: is_block_level
.. autoclass:: Document
    :members:
.. autoclass:: Element
    :members:
.. autoclass:: TextNode
    :members:
.. autoclass:: EntityReference
    :members:
.. autoclass:: HeaderPreprocessor
    :members:
.. autoclass:: LinePreprocessor
    :members:
.. autoclass:: LineBreaksPreprocessor
    :members:
.. autoclass:: HtmlBlockPreprocessor
    :members:
.. autoclass:: ReferencePreprocessor
    :members:
.. autoclass:: Pattern
    :members:
.. autoclass:: SimpleTextPattern
    :members:
.. autoclass:: SimpleTagPattern
    :members:
.. autoclass:: BacktickPattern
    :members:
.. autoclass:: DoubleTagPattern
    :members:
.. autoclass:: HtmlPattern
    :members:
.. autoclass:: LinkPattern
    :members:
.. autoclass:: ImagePattern
    :members:
.. autoclass:: ReferencePattern
    :members:
.. autoclass:: ImageReferencePattern
    :members:
.. autoclass:: AutolinkPattern
    :members:
.. autoclass:: AutomailPattern
    :members:
.. autoclass:: Postprocessor
    :members:
.. autoclass:: HtmlStash
    :members:
.. autoclass:: BlockGuru
    :members:
.. autofunction:: print_error
.. autofunction:: dequote
.. autoclass:: CorePatterns
    :members:
.. autoclass:: Extension
    :members:
.. autofunction:: parse_options

